### Method

# Gtk CellRenderer get_aligned_area

#### Declaration [src]

    void
    gtk_cell_renderer_get_aligned_area (
      GtkCellRenderer* cell,
      GtkWidget* widget,
      GtkCellRendererState flags,
      const GdkRectangle* cell_area,
      GdkRectangle* aligned_area
    )

#### Description [src]

Gets the aligned area used by `cell` inside `cell_area`. Used for finding the appropriate edit and focus rectangle.

#### Parameters

`widget` | `GtkWidget`
| The `GtkWidget` this cell will be rendering to.
| The data is owned by the caller of the function.
`flags` | `GtkCellRendererState`
| Render flags.
`cell_area` | `const GdkRectangle*`
| Cell area which would be passed to gtk_cell_renderer_render().
| The data is owned by the caller of the function.
`aligned_area` | `GdkRectangle*`
| The return location for the space inside `cell_area` that would actually be used to render.
| The argument will be set by the function.
| The data is owned by the caller of the function.